## org.apache.batik.dom.svg
Class SVGDOMImplementation.RadialGradientElementFactory

    java.lang.Object
      org.apache.batik.dom.svg.SVGDOMImplementation.RadialGradientElementFactory

All Implemented Interfaces:
  ExtensibleDOMImplementation.ElementFactory

Enclosing class:
  SVGDOMImplementation

    protected static class SVGDOMImplementation.RadialGradientElementFactory

extends java.lang.Object
implements ExtensibleDOMImplementation.ElementFactory

To create a 'radialGradient' element.

Constructor Summary
`SVGDOMImplementation.RadialGradientElementFactory()`

Method Summary
`org.w3c.dom.Element` `create(java.lang.String prefix, org.w3c.dom.Document doc)` Creates an instance of the associated element type.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SVGDOMImplementation.RadialGradientElementFactory

    public SVGDOMImplementation.RadialGradientElementFactory()

Method Detail

### create

    public org.w3c.dom.Element create(java.lang.String prefix,
                                      org.w3c.dom.Document doc)

  Creates an instance of the associated element type.

  Specified by:
    `create` in interface `ExtensibleDOMImplementation.ElementFactory`

Copyright © 2008 Apache Software Foundation. All Rights Reserved.